CopyHero

Get Cross Store Product Revenue

GET
/api/v1/analytics/store-revenue/products

Authorization

HTTPBearer
headerAuthorizationBearer <token>

Query Parameters

date_from*Date From

First shop calendar day of the period (inclusive).

Formatdate
date_to*Date To

Last shop calendar day of the period (inclusive); at most tomorrow (UTC); the period is at most 366 days inclusive.

Formatdate
currency?|

Currency to convert all stores into; defaults to the organization's default currency, else the most common shop currency.

store_ids?array<integer>|

Only these organization stores; an unknown, foreign or deleted id answers 404. Repeated values: ?store_ids=12&store_ids=17

tags?array<string>|

Only sales of linked products with any of these tags (OR within field)

vendor?array<string>|

Only sales of linked products with any of these vendors (OR within field)

product_type?array<string>|

Only sales of linked products with any of these product types (OR within field)

subtract_refunds?Subtract Refunds

Subtract refunds (RETURN sales) on the day of the refund. False: RETURN sales count in no amount; orders and units are unchanged.

Defaulttrue
limit?Limit

At most this many products, biggest net first.

Range1 <= value <= 250
Default50

Response Body

Successful Response

application/json
  1. response

Top products by net revenue over the filtered stores, converted into currency at today's rate; only products with a fact in the period.

currency*|null
count*Count

Products with a fact in the period before limit.

data*array<>
Example Request
curl -X GET 'https://app.copyhero.app/api/v1/analytics/store-revenue/products?date_from=2019-08-24&date_to=2019-08-24'
Example Response
{  "currency": "AED",  "count": 0,  "data": [    {      "internal_product_id": "17d65d0a-2bba-46da-af25-e6db2fc23598",      "title": "string",      "image_url": "string",      "net": "string",      "orders": 0,      "units": 0,      "store_count": 0    }  ]}